Class | Sequel::ADO::Dataset
In: | lib/sequel/adapters/ado.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows

### Included Modules

Dataset::SQLStandardDateFormat

### Public Instance methods

fetch_rows(sql) {|hash_row(r)}| ...}

[Source]

        # File lib/sequel/adapters/ado.rb, line 60
    60:       def fetch_rows(sql)
    61:         execute(sql) do |s|
    62:           @columns = s.Fields.extend(Enumerable).map do |column|
    63:             name = column.Name.empty? ? '(no column name)' : column.Name
    64:             output_identifier(name)
    65:           end
    66:
    67:           unless s.eof
    68:             s.moveFirst
    69:             s.getRows.transpose.each {|r| yield hash_row(r)}
    70:           end
    71:         end
    72:         self
    73:       end

[Validate]